Digest (BioJava-1.5-beta API)
Keywords: org.biojava.bio.proteomics.Digest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.proteomics
Class Digest

    java.lang.Object
      org.biojava.bio.proteomics.Digest

    public class Digest

extends Object

This class contains methods for calculating the results of proteolytic digestion of a protein sequence this class is not designed to be thread safe

Author:
  Michael Jones, Mark Schreiber (refactoring, some documentation)

Field Summary
`static String` | `PEPTIDE_FEATURE_TYPE`

Constructor Summary
`Digest()` Creates a new Digest Bean

Method Summary
`void` | `addDigestFeatures()` Adds peptides as features to the Sequence in this class.
`Sequence` | `getSequence()`
`void` | `setMaxMissedCleavages(int maxMissedCleavages)` Sets the maximum number of partial digest products to be annotated.
`void` | `setProtease(Protease protease)`
`void` | `setSequence(Sequence sequence)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PEPTIDE_FEATURE_TYPE

    public static String PEPTIDE_FEATURE_TYPE

Constructor Detail

### Digest

    public Digest()

  Creates a new Digest Bean

Method Detail

### setProtease

    public void setProtease(Protease protease)

### setSequence

    public void setSequence(Sequence sequence)

### getSequence

    public Sequence getSequence()

### setMaxMissedCleavages

    public void setMaxMissedCleavages(int maxMissedCleavages)

  Sets the maximum number of partial digest products to be annotated.

  Parameters:
    `maxMissedCleavages` - the max number of partial digest products

### addDigestFeatures

    public void addDigestFeatures()
                           throws BioException,
                                  ChangeVetoException

  Adds peptides as features to the Sequence in this class. The feature will contain a small annotation specifying the protease with the key "protease". For Example:

               Sequence sequence = ...

               Digest bioJavaDigest = new Digest();

               bioJavaDigest.setMaxMissedCleavages(2);

               bioJavaDigest.setProtease(ProteaseManager.getProteaseByName(Protease.ASP_N));

               bioJavaDigest.setSequence(sequence);

               bioJavaDigest.addDigestFeatures();

  Throws:
    `BioException` - if the Protease or Sequence are null.
    `ChangeVetoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD